## net.i2p.router.message
Class SendMessageDirectJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.message.SendMessageDirectJob

All Implemented Interfaces:
  Job

    public class SendMessageDirectJob

extends JobImpl

Constructor Summary
`SendMessageDirectJob(RouterContext ctx, I2NPMessage message, Hash toPeer, int timeoutMs, int priority)`
`SendMessageDirectJob(RouterContext ctx, I2NPMessage message, Hash toPeer, Job onSend, ReplyJob onSuccess, Job onFail, MessageSelector selector, int timeoutMs, int priority)`
`SendMessageDirectJob(RouterContext ctx, I2NPMessage message, Hash toPeer, ReplyJob onSuccess, Job onFail, MessageSelector selector, int timeoutMs, int priority)`

Method Summary
`String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendMessageDirectJob

    public SendMessageDirectJob(RouterContext ctx,
                                I2NPMessage message,
                                Hash toPeer,
                                int timeoutMs,
                                int priority)

### SendMessageDirectJob

    public SendMessageDirectJob(RouterContext ctx,
                                I2NPMessage message,
                                Hash toPeer,
                                ReplyJob onSuccess,
                                Job onFail,
                                MessageSelector selector,
                                int timeoutMs,
                                int priority)

### SendMessageDirectJob

    public SendMessageDirectJob(RouterContext ctx,
                                I2NPMessage message,
                                Hash toPeer,
                                Job onSend,
                                ReplyJob onSuccess,
                                Job onFail,
                                MessageSelector selector,
                                int timeoutMs,
                                int priority)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.